## org.openorb.io
Class LocalInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.omg.CORBA.portable.InputStream
                  |
                  +--org.omg.CORBA_2_3.portable.InputStream
                        |
                        +--org.openorb.io.LocalInputStream

public class LocalInputStream
extends InputStream

implementation of `InputStream` for streaming local calls (that are not handled by stubs as JDK1.4 idl compiler)

Version:
  $Revision: 1.2 $ $Date: 2002/08/01 13:26:58 $
Author:
  Erik Putrycz

Constructor Summary
`LocalInputStream(java.util.List arglist)` Creates a new instance of LocalInputStream

Method Summary
`Any` `read_any()` read an any value
`void` `read_boolean_array(boolean[] value, int offset, int length)`
`boolean` `read_boolean()`
`void` `read_char_array(char[] value, int offset, int length)`
`char` `read_char()`
`void` `read_double_array(double[] value, int offset, int length)`
`double` `read_double()`
`void` `read_float_array(float[] value, int offset, int length)`
`float` `read_float()`
`void` `read_long_array(int[] value, int offset, int length)`
`int` `read_long()`
`void` `read_longlong_array(long[] value, int offset, int length)`
`long` `read_longlong()`
`Object` `read_Object()` Read an Object
`Object` `read_Object(java.lang.Class clz)` Read an Object
`void` `read_octet_array(byte[] value, int offset, int length)`
`byte` `read_octet()`
`void` `read_short_array(short[] value, int offset, int length)`
`short` `read_short()`
`java.lang.String` `read_string()`
`TypeCode` `read_TypeCode()` reads a typecode
`void` `read_ulong_array(int[] value, int offset, int length)`
`int` `read_ulong()`
`void` `read_ulonglong_array(long[] value, int offset, int length)`
`long` `read_ulonglong()`
`void` `read_ushort_array(short[] value, int offset, int length)`
`short` `read_ushort()`
`void` `read_wchar_array(char[] value, int offset, int length)`
`char` `read_wchar()`
`java.lang.String` `read_wstring()`
`void` `reset()` set the pointed of the list to its beginning
`java.lang.String` `toString()` list

Methods inherited from class org.omg.CORBA_2_3.portable.InputStream
`read_abstract_interface, read_abstract_interface, read_value, read_value, read_value, read_value, read_value`

Methods inherited from class org.omg.CORBA.portable.InputStream
`orb, read_Context, read_fixed, read_fixed, read_Principal, read`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalInputStream

    public LocalInputStream(java.util.List arglist)

  Creates a new instance of LocalInputStream
  Parameters:
    `arglist` - the `List` used for reading elements

Method Detail

### toString

    public java.lang.String toString()

  list
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the toString of each element

### reset

    public void reset()

  set the pointed of the list to its beginning
  Overrides:
    `reset` in class `java.io.InputStream`

### read_Object

    public Object read_Object(java.lang.Class clz)

  Read an Object
  Overrides:
    `read_Object` in class `InputStream`
  Parameters:
    `clz` - classname for result
  Returns:
    object

### read_Object

    public Object read_Object()

  Read an Object
  Overrides:
    `read_Object` in class `InputStream`
  Returns:
    object

### read_TypeCode

    public TypeCode read_TypeCode()

  reads a typecode
  Overrides:
    `read_TypeCode` in class `InputStream`

### read_any

    public Any read_any()

  read an any value
  Overrides:
    `read_any` in class `InputStream`

### read_boolean

    public boolean read_boolean()

  Overrides:
    `read_boolean` in class `InputStream`

### read_boolean_array

    public void read_boolean_array(boolean[] value,
                                   int offset,
                                   int length)

  Overrides:
    `read_boolean_array` in class `InputStream`

### read_char

    public char read_char()

  Overrides:
    `read_char` in class `InputStream`

### read_char_array

    public void read_char_array(char[] value,
                                int offset,
                                int length)

  Overrides:
    `read_char_array` in class `InputStream`

### read_double

    public double read_double()

  Overrides:
    `read_double` in class `InputStream`

### read_double_array

    public void read_double_array(double[] value,
                                  int offset,
                                  int length)

  Overrides:
    `read_double_array` in class `InputStream`

### read_float

    public float read_float()

  Overrides:
    `read_float` in class `InputStream`

### read_float_array

    public void read_float_array(float[] value,
                                 int offset,
                                 int length)

  Overrides:
    `read_float_array` in class `InputStream`

### read_long

    public int read_long()

  Overrides:
    `read_long` in class `InputStream`

### read_long_array

    public void read_long_array(int[] value,
                                int offset,
                                int length)

  Overrides:
    `read_long_array` in class `InputStream`

### read_longlong

    public long read_longlong()

  Overrides:
    `read_longlong` in class `InputStream`

### read_longlong_array

    public void read_longlong_array(long[] value,
                                    int offset,
                                    int length)

  Overrides:
    `read_longlong_array` in class `InputStream`

### read_octet

    public byte read_octet()

  Overrides:
    `read_octet` in class `InputStream`

### read_octet_array

    public void read_octet_array(byte[] value,
                                 int offset,
                                 int length)

  Overrides:
    `read_octet_array` in class `InputStream`

### read_short

    public short read_short()

  Overrides:
    `read_short` in class `InputStream`

### read_short_array

    public void read_short_array(short[] value,
                                 int offset,
                                 int length)

  Overrides:
    `read_short_array` in class `InputStream`

### read_string

    public java.lang.String read_string()

  Overrides:
    `read_string` in class `InputStream`

### read_ulong

    public int read_ulong()

  Overrides:
    `read_ulong` in class `InputStream`

### read_ulong_array

    public void read_ulong_array(int[] value,
                                 int offset,
                                 int length)

  Overrides:
    `read_ulong_array` in class `InputStream`

### read_ulonglong

    public long read_ulonglong()

  Overrides:
    `read_ulonglong` in class `InputStream`

### read_ulonglong_array

    public void read_ulonglong_array(long[] value,
                                     int offset,
                                     int length)

  Overrides:
    `read_ulonglong_array` in class `InputStream`

### read_ushort

    public short read_ushort()

  Overrides:
    `read_ushort` in class `InputStream`

### read_ushort_array

    public void read_ushort_array(short[] value,
                                  int offset,
                                  int length)

  Overrides:
    `read_ushort_array` in class `InputStream`

### read_wchar

    public char read_wchar()

  Overrides:
    `read_wchar` in class `InputStream`

### read_wchar_array

    public void read_wchar_array(char[] value,
                                 int offset,
                                 int length)

  Overrides:
    `read_wchar_array` in class `InputStream`

### read_wstring

    public java.lang.String read_wstring()

  Overrides:
    `read_wstring` in class `InputStream`